{
  "providerId": "MethodSelfcallDirectives",
  "method": "Lorg/eclipse/uml2/uml/internal/impl/ActivityEdgeImpl.eGet(IZZ)Ljava/lang/Object;",
  "numberOfDefinitions": 1,
  "calls": {
    "Lorg/eclipse/emf/ecore/impl/BasicEObjectImpl.eResolveProxy(Lorg/eclipse/emf/ecore/InternalEObject;)Lorg/eclipse/emf/ecore/EObject;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ActivityEdgeImpl.basicGetInterrupts()Lorg/eclipse/uml2/uml/InterruptibleActivityRegion;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.getNameExpression()Lorg/eclipse/uml2/uml/StringExpression;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.eNotify(Lorg/eclipse/emf/common/notify/Notification;)V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ActivityEdgeImpl.getInPartitions()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/RedefinableElementImpl.getRedefinitionContexts()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ActivityEdgeImpl.getInGroups()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.eNotificationRequired()Z": 1,
    "Lorg/eclipse/emf/ecore/impl/EModelElementImpl.getEAnnotations()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ActivityEdgeImpl.getSource()Lorg/eclipse/uml2/uml/ActivityNode;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.getNamespace()Lorg/eclipse/uml2/uml/Namespace;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ActivityEdgeImpl.basicGetTarget()Lorg/eclipse/uml2/uml/ActivityNode;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ActivityEdgeImpl.getInterrupts()Lorg/eclipse/uml2/uml/InterruptibleActivityRegion;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ActivityEdgeImpl.getRedefinedElements()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.getClientDependencies()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ActivityEdgeImpl.basicGetGuard()Lorg/eclipse/uml2/uml/ValueSpecification;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ActivityEdgeImpl.getRedefinedEdges()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.getVisibility()Lorg/eclipse/uml2/uml/VisibilityKind;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.getQualifiedName()Ljava/lang/String;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ActivityEdgeImpl.getWeight()Lorg/eclipse/uml2/uml/ValueSpecification;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ActivityEdgeImpl.getOwnedElements()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ActivityEdgeImpl.getGuard()Lorg/eclipse/uml2/uml/ValueSpecification;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getOwnedComments()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.basicGetNameExpression()Lorg/eclipse/uml2/uml/StringExpression;": 1,
    "Lorg/eclipse/emf/ecore/impl/BasicEObjectImpl.eDynamicGet(IZZ)Ljava/lang/Object;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/RedefinableElementImpl.isLeaf()Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ActivityEdgeImpl.basicGetActivity()Lorg/eclipse/uml2/uml/Activity;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.basicGetNamespace()Lorg/eclipse/uml2/uml/Namespace;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ActivityEdgeImpl.basicGetSource()Lorg/eclipse/uml2/uml/ActivityNode;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ActivityEdgeImpl.getInStructuredNode()Lorg/eclipse/uml2/uml/StructuredActivityNode;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ActivityEdgeImpl.getActivity()Lorg/eclipse/uml2/uml/Activity;": 1,
    "Lorg/eclipse/emf/ecore/impl/ENotificationImpl.\u003cinit\u003e(Lorg/eclipse/emf/ecore/InternalEObject;IILjava/lang/Object;Ljava/lang/Object;)V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ActivityEdgeImpl.basicGetWeight()Lorg/eclipse/uml2/uml/ValueSpecification;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ActivityEdgeImpl.basicGetOwner()Lorg/eclipse/uml2/uml/Element;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ActivityEdgeImpl.getOwner()Lorg/eclipse/uml2/uml/Element;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ActivityEdgeImpl.getTarget()Lorg/eclipse/uml2/uml/ActivityNode;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.getName()Ljava/lang/String;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ActivityEdgeImpl.basicGetInStructuredNode()Lorg/eclipse/uml2/uml/StructuredActivityNode;": 1
  }
}